# Foam File Format

This file is an example of a valid Foam file. Essentially it's just a markdown file with a bit of additional support for mediawiki-style `[[wiki-links]]`.

Here are a few specific constraints, mainly because our tooling is a bit fragmented. Most of these should be eventually lifted, and our requirement should just be "Markdown with `[[wiki-links]]`:

- **It needs to have a single top level `# Heading`.**
  - This will be used as document title.
    - [[decision-needed]] Do we need it?
    - [[decision-needed]] How much to deviate from just markdown
- **File name should not contain spaces,** e.g. `foam-file-format.md` is a valid name, but `Foam File Format.md` is not.
  - This is a temporary limitation and will be lifted in future versions.
  - Technically this actually works already, but may have some edge cases you don't want to deal with if you can avoid it.
- **File name should have extension `.md` or `.markdown`**
  - This is a temporary limitation and will be lifted in future versions.
  - At least `.mdx` will be supported, but ideally we'll support any file that you can map to `Markdown` language mode in VS Code
- **In addition to normal Markdown Links syntax you can use `[[media-wiki]]` links.**
  - When you do, the [foam-vscode](https://github.com/foambubble/foam/tree/master/packages/foam-vscode) extension will automatically generate [Markdown Link Reference Definitions](https://spec.commonmark.org/0.29/#link-reference-definitions) at the bottom of the file.
    - Here's an example:
      - [[wiki-links]]
      - [[github-pages]]
    - This will generate the following references:
      ```md
      [wiki-links]: wiki-links "Wiki Links"
      [github-pages]: github-pages "Github Pages"
      ```
    - The three components are `[link-label]: link-target "Link Title"
      - **link label:** The link text to match in the surrounding markdown document. This matches the inner bracket of the double-bracketed `[[wiki-link]]` notation
      - **link destination** The target of the matched link
        - Right now we generate link destinations without file extension. This is a choice, see [discussion here](https://foambubble.github.io/foam/wiki-links#why-dont-wiki-links-work-on-github).
      - **"Link Title"** Optional title for link (The Foam template has a snippet of JavaScript to replace this on the website at runtime)
    - Open the [raw markdown](https://raw.githubusercontent.com/foambubble/foam/master/foam-file-format.md) to see them at the bottom of this file
    - In the near future, these can be batch generated for all workspace files (WIP)
      - For the time being, if you want to get [[wiki-links]] support across all files, you'll need to generate the link reference definitions yourself.
      - If you end up writing a batch job for this, please share your solution, as this is something we'll need to implement soon!

[//begin]: # "Autogenerated link references for markdown compatibility"
[wiki-links]: wiki-links "Wiki Links"
[github-pages]: github-pages "Github Pages"
[decision-needed]: decision-needed "Decision Needed"
[daily-notes]: daily-notes "Daily notes"
[//end]: # "Autogenerated link references"
