<!-- omit in toc -->
# Recipes

Guides, tips and strategies for getting the most out of your Foam workspace!

- [Contribute](#contribute)
- [Take smart notes](#take-smart-notes)
- [Discover](#discover)
- [Organise](#organise)
- [Write](#write)
- [Version control](#version-control)
- [Publish](#publish)
- [Collaborate](#collaborate)
- [Workflow](#workflow)
- [Creative ideas](#creative-ideas)
- [Other](#other)
  
## Contribute

- Start by reading [[contribution-guide]]
- If you discover features not listed here, we'd love to have them! [[how-to-write-recipes]].

## Take smart notes

- Introduction to Zettelkasten [[todo]]
  
## Discover
- Explore your notes using [[graph-visualisation]]
- Discover relationships with [[backlinking]]
- Simulating [[unlinked-references]]

## Organise
- Using [[backlinking]] for [[reference-lists]].
  
## Write
- Link documents with [[wiki-links]]
- Use shortcuts for [[creating-new-notes]]
- Draw [[diagrams-in-markdown]]
- Prettify your links, [[automatically-expand-urls-to-well-titled-links]]
- [Markdown All-in-One](https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one) features [[todo]] [[good-first-task]]
  - Manage checklists 
  - Automatic Table of Contents
  - Live preview markdown
  - _More..._
- VS Code Advanced Features [[todo]] [[good-first-task]]
  - Focus with Zen Mode

## Version control

- Quick commits with [[git-integration]]
- Sync your GitHub repo automatically [[todo]].

## Publish

- Publish to [[github-pages]]
- Make the site your own by [[customising-styles]].
- Host your own website [[todo]]

## Collaborate

- Give your team push access to your GitHub repo [[todo]]
- Real-time collaboration via VS Code Live Share [[todo]]
- Accept patches via GitHub PRs [[todo]]
 
## Workflow

Workflow recipes wanted!

_See [[contribution-guide]] and [[how-to-write-recipes]]._

## Creative ideas

Creative ideas welcome! 

- Support [Anki](https://apps.ankiweb.net/) cards from notes like [Remnote](https://www.remnote.io/) [[todo]]

_See [[contribution-guide]] and [[how-to-write-recipes]]._

## Other

Thought of a recipe but don't see a category for them? Add them here and we'll organise them once we detect a theme. 

_See [[contribution-guide]] and [[how-to-write-recipes]]._

[//begin]: # "Autogenerated link references for markdown compatibility"
[contribution-guide]: contribution-guide "Contribution Guide"
[how-to-write-recipes]: how-to-write-recipes "How to Write Recipes"
[todo]: todo "Todo"
[graph-visualisation]: graph-visualisation "Graph visualisation"
[backlinking]: backlinking "Backlinking"
[unlinked-references]: unlinked-references "Unlinked references (stub)"
[reference-lists]: reference-lists "Reference Lists"
[wiki-links]: wiki-links "Wiki Links"
[creating-new-notes]: creating-new-notes "Creating New Notes"
[diagrams-in-markdown]: diagrams-in-markdown "Diagrams in Markdown"
[good-first-task]: good-first-task "Good First Task"
[automatically-expand-urls-to-well-titled-links]: automatically-expand-urls-to-well-titled-links "Automatically Expand URLs to Well-Titled Links"
[git-integration]: git-integration "Git integration"
[github-pages]: github-pages "Github Pages"
[customising-styles]: customising-styles "Customising Styles"
[//end]: # "Autogenerated link references"
