# Referencing notes by title

- Currently we reference notes with `[Description](desription.md)` syntax.
  - Pros
    - Supported by all static site generators
    - Supported by Markdown All in One
  - Cons
    - Unergonomic to write
    - Knowing file name should not be important
    - Makes [[unlinked-references]] harder
    - Makes [[renaming-files]] harder
- Possible syntaxes
  - `[Title of page]`
    - Pro: Already supported by Markdown and GH Pages publishing
    - Con: Possibly syntactically ambiguous
  - `[[Title of page]]`
    - Pros: Roam format, syntactically more specific
    - Cons: Not valid Markdown?
    - Trialling [VS Code Markdown Notes](https://marketplace.visualstudio.com/items?itemName=kortina.vscode-markdown-notes)
      - Read also: https://kortina.nyc/essays/suping-up-vs-code-as-a-markdown-notebook/
      - This works, also supports backlinks
      - Breaks GitHub page generation
  - `[[title_of_page.md]]
  - Keep current syntax, but automate linking, e.g. a snippet/shortcut to:
    - Insert `[]()` (opens file autocompletion)
    - Once file is chosen in `()`, populate the description in `[]` automatically from page tite
    - Pros: Compatible with Markdown All in One
    - Cons: Not as sleek as other options
- Can [MDX](https://github.com/mdx-js/mdx) help us here?

[//begin]: # "Autogenerated link references for markdown compatibility"
[unlinked-references]: unlinked-references "Unlinked references"
[renaming-files]: renaming-files "Renaming files"
[//end]: # "Autogenerated link references"